<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_cli.inc.php");
include_once("../inc/fic_co.inc.php");
include_once("../inc/fic_cocl.inc.php");
include_once("../inc/fic_do.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/fic_mque.inc.php");
include_once("../inc/fic_ot.inc.php");
include_once("../inc/fic_ret.inc.php");
include_once("../inc/fic_st.inc.php");
include_once("../inc/fic_statut.inc.php");
include_once("../inc/fic_tec.inc.php");
include_once("../inc/fic_txt.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_time.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_txtcm.inc.php");
include_once("../inc/func_mail.inc.php");
include_once("../classes/phpmailer/class.phpmailer.php");
include_once("../inc/mail.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));
$cm = strip_tags(trim(@$_POST["cm"]));

$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$datecrea = datefrang(strip_tags(trim(@$_POST["datecreaf"])));
$codeage = str_majuscules(strip_tags(trim(@$_POST["codeage"])));
$des = str_majuscules(str_escape(strip_tags(trim(@$_POST["des"]))));
$nint = strip_tags(str_escape(trim(@$_POST["nint"])));
$blf = str_majuscules(str_escape(strip_tags(trim(@$_POST["blf"]))));
$nblf = str_majuscules(str_escape(strip_tags(trim(@$_POST["nblf"]))));
$dblf = datefrang(strip_tags(trim(@$_POST["dblf"])));
$gar = strip_tags(trim(@$_POST["gar"]));
$ns = str_escape(strip_tags(trim(@$_POST["ns"])));
$pbm = strip_tags(str_escape(trim(@$_POST["pbm"])));
$codeint = str_majuscules(strip_tags(trim(@$_POST["codeint"])));
$codeenv = str_majuscules(strip_tags(trim(@$_POST["codeenv"])));

$codeuser = @$_SESSION["code_log"];

$msg="";
$retourliste = TRUE;

switch ($td)
{
	// Ajout de la fiche produit à retourner
	case "add" :
		$codepr = crecode("PR",TRUE);
	
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		$rech = "SELECT * FROM " .TBRETP. " WHERE `retp_code` = '$codepr'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rech2 = "INSERT INTO " .TBRETP
			. " (retp_datecrea,retp_codecrea,retp_datemod,retp_codemod,retp_code,retp_codeage,retp_des,retp_nint,retp_blf,retp_nblf,retp_dblf,retp_gar,retp_ns,retp_pbm,retp_codeint)"
			. " VALUES"
			. " ('$datecrea','$codeuser','$datea','$codeuser','$codepr','$codeage','$des','$nint','$blf','$nblf','$dblf','$gar','$ns','$pbm','$codeint')";
			$rs2 = mysql_query($rech2) or die(mysql_error());

			$msg = "Fiche enregistrée";
		}
		else
		{
			$msg = $txt_fiche_exist;
			$retourliste = FALSE;
		}
	
		mysql_free_result($rs);
		
		mysql_close($conn);
	
		if ($retourliste == TRUE)
		{
			// Envoi d'email vers le webmaster
			envoi_mailwm("","Produit à retourner","retp","cre","xxx","age",$codepr,"","");
			// Envoi d'email vers l'agence (Si pas créé par une agence)
			if ((@$_SESSION["niv_log"] <> 4) AND (@$_SESSION["niv_log"] <> 3))
				envoi_mail("","Produit à retourner","retp","cre","xxx","age",$codepr,"","",FALSE);
			// Envoi d'email vers le centre de gestion (Si pas créé par le CDG)
			if (@$_SESSION["niv_log"] <> 5)
				envoi_mail("","produit à retourner","retp","cre","xxx","cdg",$codepr,"","",FALSE);
		}
		break;
		
	// MAJ de la fiche Produit à retourner
	case "edit" :
		
		$maj_retp_ok=TRUE;
		if ($codeenv <> "")
		{
			$maj_retp_ok=FALSE;
			$msg = "Le produit a d&eacute;j&agrave; &eacute;t&eacute; envoy&eacute;";
			$retourliste = FALSE;
		}

		if (exist_enr_retd($code,TRUE)==TRUE)
		{
			$maj_retp_ok=FALSE;
			$msg = "La demande a d&eacute;j&agrave; &eacute;t&eacute; effectu&eacute;e";
			$retourliste = FALSE;
		}
		
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		if ($maj_retp_ok==TRUE)
		{
			$rech = "UPDATE `" .TBRETP. "` SET `retp_datemod`='".$datea."', `retp_codemod`='".$codeuser."', `retp_codeage`='".$codeage."',";
			$rech .=" `retp_des`='".$des."', `retp_nint`='".$nint."', `retp_blf`='".$blf."', `retp_nblf`='".$nblf."', `retp_dblf`='".$dblf."',";
			$rech .=" `retp_gar`='".$gar."', `retp_ns`='".$ns."', `retp_pbm`='".$pbm."', `retp_codeint`='".$codeint."'";
			$rech .=" WHERE `retp_code` = '".$code."'";

			$rs = mysql_query($rech) or die(mysql_error());
					
			$msg = "Fiche mise &agrave; jour.";
		}
	
		mysql_close($conn);
	
		break;		


	// Suppression de la fiche Intervention
	case "del" :
		if ((exist_enr_retr($code,TRUE)==FALSE) AND (exist_enr_retd($code,TRUE)==FALSE) AND (exist_enr_rete($code,TRUE)==FALSE))
		{
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "DELETE FROM `" .TBRETP. "` WHERE `retp_code` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());

			$msg = $txt_fiche_del;
		}
		else
		{
			if (exist_enr_retr($code,TRUE)==TRUE)
				$msg = "Ce retour a d&eacute;&agrave; &eacute;t&eacute; trait&eacute;.";
			else
			{
				if (exist_enr_rete($code,TRUE)==TRUE)
					$msg = "Ce retour a d&eacute;&agrave; &eacute;t&eacute; renvoy&eacute;.";
				else
					$msg = "La demande a d&eacute;j&agrave; &eacute;t&eacute; effectu&eacute;e.";
			}
			$retourliste = FALSE;
		}
		break;
		
	default :
		break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Fiche Produit &agrave; Retourner</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>



</head>
<body>
<?php 
include_once("../inc/entete.inc.php"); 
?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>

<br>
<br>
<?PHP 
if ($retourliste == FALSE)
	aff_ret_idx_man($td,"retp_lst.php?ord=DES&tri=Code",$txt_lnk_ret_liste,TRUE);
else
{
	if (trim($cm)=="")
		aff_ret_lst_auto("retp_lst.php?ord=DES&tri=Code",2000);
	else
		aff_ret_auto("retd_maj.php?td=add&cpr=".$codepr."&cm=".$cm,2000);
}
include_once("pied.php");
?>
